.\"
.\" DI $Id: slelim.tr,v 0.9 2013/10/30 20:21:59 pj Exp $
.\" DA Pierre‐Jean Fichet
.\" DS Utroff slelim manual
.\" DT Utroff slelim manual
.\" DK utroff slelim soelim felim troff nroff heirloom tmac xml
.
.
.
.TH SLELIM 1 '2013‐11‐05'
.
.
.
.SH NAME
.PP
\fBslelim\fR - escape some slash from nroff input
.
.
.
.SH SYNOPSIS
.PP
\fB@BINDIR@/slelim\fR < \fIfile\fR
.
.
.
.SH DESCRIPTION
.PP
When transferring a troff document to another format of
troff document using nroff, the slash written in the sources
usually means that the string following should be simply
written as is. \fISlelim\fR try to handle these situation.
.PP
\fIslelim\fR read the standard input and replace or not the
slash character following these rules:
.IP \(bu
Inside \fB.vS\fR and \fB.vE\fR macros, nothing is done.
.IP \(bu
If the slash is followed by a newline, an ’*’ an ’n’ or
another slash, slelim does nothing.
.IP \(bu
If the slash is followed by an ’f’, the ’f’ is replaced by
an ’*’, so that font definitions are
replaced by a string definition.
.IP \(bu
in all other case, the slash is escaped, ie duplicated.
.
.
.
.SH SEE ALSO
.PP
soelim(1),
felim(1).
.
.
.
.SH LICENSE
.PP
\fIslelim\fR and this man page are distributed under a
two clause BSD
license.
.
.
.
.SH BUGS & HELP
.PP
Don’t hesitate to ask questions at help at utroff dot org.
Please, send bugs and patches at help at utroff dot org.
.
.
.
.SH AUTHOR
.PP
Written by Pierre‐Jean \fCFichet\fR.
